Logistics

Serviceability API's

Country & Locality

The Country & Locality resource contains extensive data about countries and how they're structured. For instance, in India, it's organized as Country, State, City, and Pincode, while in Australia, it's simpler with State, City, and Zipcode. We've made this structure consistent globally, covering Country, State, City, Pincode, and Sector. Using this resource, you can easily access hierarchical information for each country. This resource helpful for retrieving detailed locality information, such as lists of states for a given country, cities for a given state and country, and more. Moreover, it's crucial for validating customer addresses, like verifying the validity of a pincode. Additionally, it provides in-depth locality data, such as offering city and country information for a specific sector in the UAE.

Operations
POST
/service/partner/logistics/v2.0/organization/{organization_id}/localities/bulk-sample
# Sample File Download
GET
/service/partner/logistics/v2.0/organization/{organization_id}/localities/bulk-sample
# Get Serviceability TAT sample files generator status
GET
/service/partner/logistics/v2.0/organization/{organization_id}/countries
# Get all countries and associated data
POST

Sample File Download

Sample File Download
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
Request body
country
string
Required
Country involved in the operation.
region
string
Required
Region involved in the operation.
type
string
Required
Type of operation, either serviceability or TAT.
Enum
POST
/service/partner/logistics/v2.0/organization/{organization_id}/localities/bulk-sample
Loading...
Response
200
400
Success
Hide
country
string
Name of the country.
region
string
Name of the region for which the tat/serviceability file needs to be downloaded.
type
string
Denotes the type of data.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Information of records which failed
file_path
string
Nullable
CDN path of the file.
Response
Loading...
GET

Get Serviceability TAT sample files generator status

Get Serviceability TAT sample file generator status
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Batch id of the execution
GET
/service/partner/logistics/v2.0/organization/{organization_id}/localities/bulk-sample
Loading...
Response
200
400
Success
Hide
items
array of object (BulkRegionServiceabilityTatResultItemData)
Array of bulk region serviceability or TAT result items.
Show
page
object (Page)
Show
Response
Loading...
GET

Get all countries and associated data

Retrieve a list of countries for logistical purposes.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
onboardquery
boolean
Only fetch countries which allowed for onboard on Platform.
page_noquery
integer
The page number to navigate through the given set of results. Default value is 1.
Default Value : 1
page_sizequery
integer
| value <= 300
The number of items to retrieve in each page. Default value is 12
Default Value : 12
qquery
string
The search string to search in the list of countries by name.
hierarchyquery
string
The search filter to filter countries based on their available hierarchy.
Enum
GET
/service/partner/logistics/v2.0/organization/{organization_id}/countries
Loading...
Response
200
400
Successfully retrieved all countries with associated data.
Hide
Represents the result of a request for a list of countries, including details of each country and pagination information for navigating through large sets of data.
items
array of object (GetCountriesItems)
A list of country objects containing detailed information about each country.
Show
page
object (Page)
Show
Response
Loading...

Courier Partner Setup & Rules

Courier partners are organizations that offer delivery services for packages, parcels, documents, or goods. This resource allows sellers to create schemes, which are predefined plans with various preconfigured settings. Sellers can then utilize these schemes to create accounts and choose self-shipping options if desired. Once set up, sellers can utilize these accounts to establish rules based on factors like customer location and product type. These rules assist in efficiently managing delivery partners and prioritizing deliveries based on specific criteria. For example, a seller specializing in furniture can choose self-ship for items that require assembly and assign a partner for other furniture items.

Operations
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
# Region TAT Import or Export
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
# Get region tat bulk history
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
# Serviceability Import or Export
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
# Get Region Serviceability Bulk History
POST
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account
# Create courier account
GET
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account
# List courier accounts
PUT
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account/{account_id}
# Update courier account
GET
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account/{account_id}
# Get courier account
POST

Region TAT Import or Export

Region TAT Import or Export
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
file_path
string
Path to the file used in the bulk operation.
country
string
Required
Country involved in the bulk operation.
action
string
Required
Action type for the bulk operation, either import or export.
Enum
region
string
Required
Region involved in the bulk operation.
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
Loading...
Response
200
400
Response status_code
Hide
file_path
string
Path to the file associated with the result item.
failed
integer
Number of failed records in the operation.
failed_records
array of object
Array of failed records with additional properties.
action
string
Action type for the result item.
batch_id
string
A unique identifier for the performed batch operation.
country
string
Country associated with the result item.
success
integer
Number of successful records in the operation.
region
string
Region associated with the result item.
status
string
Current status of the result item.
Enum
total
integer
Total number of records processed.
error_file_path
string
Path to the file containing error details.
modified_on
string
| date-time
The timestamp when the record last modified.
created_on
string
| date-time
The timestamp when the record was created.
Response
Loading...
GET

Get region tat bulk history

Get region tat bulk history
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Nullable
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
statusquery
string
Nullable
Status of the bulk actions
Enum
countryquery
string
Country for which bulk job is initiated
regionquery
string
Region for which bulk job is initiated
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/tat
Loading...
Response
200
Response status_code
Hide
items
array of object (BulkRegionResultItemData)
Array of bulk region result items.
Show
page
object (Page)
Show
Examples
Parameters
organization_id:
"org_id"
extension_id:
"651ffabb556007fa462c9c06"
scheme_id:
"651ffcb8400bbc458aa4ac7d"
page_no:
1
page_size:
10
batch_id:
"65e476c1a70e9a713278c910"
action:
"import"
status:
"processing"
country:
"India"
region:
"Pincode"
start_date:
"2023-09-12T00:00:00.000000"
end_date:
"2023-09-12T23:59:59.999999"
Response
Loading...
POST

Serviceability Import or Export

Serviceability Import or Export
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
file_path
string
Path to the file used in the bulk operation.
country
string
Required
Country involved in the bulk operation.
action
string
Required
Action type for the bulk operation, either import or export.
Enum
region
string
Required
Region involved in the bulk operation.
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
Loading...
Response
200
400
Success
Hide
file_path
string
Path to the file associated with the result item.
failed
integer
Number of failed records in the operation.
failed_records
array of object
Array of failed records with additional properties.
action
string
Action type for the result item.
batch_id
string
A unique identifier for the performed batch operation.
country
string
Country associated with the result item.
success
integer
Number of successful records in the operation.
region
string
Region associated with the result item.
status
string
Current status of the result item.
Enum
total
integer
Total number of records processed.
error_file_path
string
Path to the file containing error details.
modified_on
string
| date-time
The timestamp when the record last modified.
created_on
string
| date-time
The timestamp when the record was created.
Response
Loading...
GET

Get Region Serviceability Bulk History

Get Region Serviceability Bulk History
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
Enum
statusquery
string
Nullable
Status of the bulk actions
Enum
countryquery
string
Country for which bulk job is initiated
regionquery
string
Region for which bulk job is initiated
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/serviceability/bulk
Loading...
Response
200
404
Success
Hide
items
array of object (BulkRegionResultItemData)
Array of bulk region result items.
Show
page
object (Page)
Show
Response
Loading...
POST

Create courier account

Retrieves a list of courier partner accounts.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
Request body
extension_id
string
Required
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
Required
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Required
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
Required
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Required
Indicates whether the courier account is an own account (true if it is, false otherwise).
POST
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account
Loading...
Response
200
400
Response status_code
Hide
Represents the details of a courier account, including information about the associated extension, scheme, self-shipping status, and the account’s stage.
extension_id
string
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Indicates whether the courier account is an own account (true if it is, false otherwise).
Response
Loading...
GET

List courier accounts

Retrieves a list of courier partner accounts.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 10
stagequery
string
Stage of the account.
Enum
payment_modequery
string
Filters dp accounts based on payment mode
transport_typequery
string
Filters dp accounts based on transport_type
Enum
account_idsquery
array of string
Filters dp accounts based on their ids
self_shipquery
boolean
To filter self ship/non self ship dp accounts
own_accountquery
boolean
Filters seller owned or Fynd Managed dp accounts.
qquery
string
Filters dp accounts based on account name.
GET
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account
Loading...
Response
200
Response status_code
Hide
items
array of object (CourierAccountResult)
An array containing multiple instances of CourierAccountResult, which details individual courier accounts.
Show
page
object (Page)
Show
Examples
Parameters
organization_id:
"000000000000000000000001"
company_id:
123
page_no:
1
page_size:
10
stage:
"enabled"
payment_mode:
"COD"
transport_type:
"surface"
account_ids:
"67a3c8e60fd6c66371f3665d"
self_ship:
true
own_account:
true
q:
"Scheme 2"
Response
Loading...
PUT

Update courier account

Updates an existing courier partner account.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
account_idpath
string
Required
Unique ID of courier account
Request body
extension_id
string
Required
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
Required
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Required
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
Required
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Required
Indicates whether the courier account is an own account (true if it is, false otherwise).
PUT
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account/{account_id}
Loading...
Response
200
400
Response status_code
Hide
Represents the details of a courier account, including information about the associated extension, scheme, self-shipping status, and the account’s stage.
extension_id
string
The unique identifier for the extension linked to the courier account.
account_id
string
The unique identifier for the courier account.
scheme_id
string
The identifier for the scheme associated with the courier account.
is_self_ship
boolean
Indicates whether the courier account supports self-shipping (true if it does, false otherwise).
stage
string
The current stage of the courier account, either 'enabled' or 'disabled'.
Enum
is_own_account
boolean
Indicates whether the courier account is an own account (true if it is, false otherwise).
Response
Loading...
GET

Get courier account

Retrieves a single courier partner account.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
company_idpath
integer
Required
A `company_id` is a unique identifier for a particular sale channel.
account_idpath
string
Required
Unique ID of courier account
GET
/service/partner/logistics/v1.0/organization/{organization_id}/company/{company_id}/courier-partner/account/{account_id}
Loading...
Response
200
400
Response status_code
Hide
This object represents the details of a courier account, including various properties that define the account's characteristics and operational parameters.
account_id
string
A string that uniquely identifies the courier account.
company_id
integer
The unique identifier of the company.
scheme_id
string
A string that specifies the unique identifier for the scheme associated with the account
extension_id
string
A string that uniquely identifies the courier partner extension.
is_self_ship
boolean
A boolean indicating whether the account is for self-shipping.
stage
string
A string indicating the current stage of the account, which can be either enabled or disabled.
Enum
is_own_account
boolean
A boolean indicating whether the account is owned by the company.
scheme_rules
object (CourierPartnerSchemeModel)
Show
Response
Loading...

Delivery-time

The delivery-time endpoints are tailored for managing the expected delivery times between different regions for a specific courier partner within a logistics scheme. The endpoints supports CRUD operations for delivery time records. Each record captures details such as the origin and destination (identified by country, state, city, sector, and pin codes), as well as the minimum and maximum delivery times required to transport goods between these locations. Business partners can use this endpoint to configure region-based delivery times that reflect realistic expectations, which are critical for planning and optimizing logistics operations. By integrating this API, external developers can dynamically manage and update delivery time information based on real-time data or changes in logistics strategies. The delivery time data provided by this endpoint is essential for determining accurate shipping estimates, improving route planning, and setting customer expectations. For instance, during the order allocation process, the core logistics system can utilize this information to decide on the most efficient routes and courier partners, ensuring timely delivery of goods. By managing delivery times effectively, businesses can enhance operational efficiency, reduce delivery delays, and improve overall customer satisfaction.

Operations
POST
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time
# Region based delivery time insert
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time
# Get region based delivery time list
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
# Get region based delivery time for a given identifier
PUT
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
# Region based delivery time update
DEL
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
# Region based delivery time delete
POST

Region based delivery time insert

Insert the region based delivery time for a specific region within a courier partner scheme.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
from_country_code
string
Required
ISO2 code representing the country of origin for the delivery.
from_state_code
string
Code representing the state or province of origin within the country.
from_city_code
string
Code representing the city of origin within the state.
from_sector_code
string
Code representing a specific sector or district within the city of origin.
from_pincode
string
A string indicating the postal code or PIN code of the address area.
to_country_code
string
Required
ISO2 code representing the destination country.
to_state_code
string
Code representing the state or province of the destination within the country.
to_city_code
string
Code representing the city of destination within the state.
to_sector_code
string
Code representing a specific sector or district within the city of destination.
to_pincode
string
A string indicating the postal code or PIN code of the address area.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
POST
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time
Loading...
Response
200
400
422
Response status code
Hide
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
from_country_code
string
ISO2 code representing the country of origin for the delivery.
from_state_code
string
Code representing the state or province of origin within the country.
from_city_code
string
Code representing the city of origin within the state.
from_sector_code
string
Code representing a specific sector or district within the city of origin.
from_pincode
string
A string indicating the postal code or PIN code of the address area.
to_country_code
string
ISO2 code representing the destination country.
to_state_code
string
Code representing the state or province of the destination within the country.
to_city_code
string
Code representing the city of destination within the state.
to_sector_code
string
Code representing a specific sector or district within the city of destination.
to_pincode
string
A string indicating the postal code or PIN code of the address area.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
id
string
A string serving as the unique identifier.
Response
Loading...
GET

Get region based delivery time list

Retrieve a list of delivery time for specific regions within a courier partner scheme.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
from_country_codequery
string
From country ISO2 code for which request is initiated
from_state_codequery
string
From state code for which request is initiated
from_city_codequery
string
From city code for which request is initiated
from_sector_codequery
string
From sector code for which request is initiated
from_pincodequery
string
From pincode for which request is initiated
to_country_codequery
string
To country ISO2 code for which request is initiated
to_state_codequery
string
To state code for which request is initiated
to_city_codequery
string
To city code for which request is initiated
to_sector_codequery
string
To sector code for which request is initiated
to_pincodequery
string
To pincode for which request is initiated
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time
Loading...
Response
200
400
Response status code
Hide
items
array of object (RegionTatResult)
An array that contains items of region tat.
Show
page
object (Page)
Show
Response
Loading...
GET

Get region based delivery time for a given identifier

Retrieve the delivery time details for a specific region within a courier partner scheme using the unique delivery time record identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a delivery time record
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
Loading...
Response
200
400
Response status code
Hide
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
from_country_code
string
ISO2 code representing the country of origin for the delivery.
from_state_code
string
Code representing the state or province of origin within the country.
from_city_code
string
Code representing the city of origin within the state.
from_sector_code
string
Code representing a specific sector or district within the city of origin.
from_pincode
string
A string indicating the postal code or PIN code of the address area.
to_country_code
string
ISO2 code representing the destination country.
to_state_code
string
Code representing the state or province of the destination within the country.
to_city_code
string
Code representing the city of destination within the state.
to_sector_code
string
Code representing a specific sector or district within the city of destination.
to_pincode
string
A string indicating the postal code or PIN code of the address area.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
id
string
A string serving as the unique identifier.
Response
Loading...
PUT

Region based delivery time update

Update the delivery time details for a specific region within a courier partner scheme using the unique delivery time record identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a delivery time record
Request body
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
PUT
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
Loading...
Response
200
400
422
Response status code
Hide
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
from_country_code
string
ISO2 code representing the country of origin for the delivery.
from_state_code
string
Code representing the state or province of origin within the country.
from_city_code
string
Code representing the city of origin within the state.
from_sector_code
string
Code representing a specific sector or district within the city of origin.
from_pincode
string
A string indicating the postal code or PIN code of the address area.
to_country_code
string
ISO2 code representing the destination country.
to_state_code
string
Code representing the state or province of the destination within the country.
to_city_code
string
Code representing the city of destination within the state.
to_sector_code
string
Code representing a specific sector or district within the city of destination.
to_pincode
string
A string indicating the postal code or PIN code of the address area.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
id
string
A string serving as the unique identifier.
Response
Loading...
DEL

Region based delivery time delete

Delete the delivery time record for a specific region within a courier partner scheme using the unique delivery time record identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a delivery time record
DEL
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/delivery-time/{id}
Loading...
Response
200
400
Response status_code
Hide
min_delivery_time
integer
Nullable
Minimum time required for delivery from the origin to the destination in seconds.
max_delivery_time
integer
Nullable
Maximum time required for delivery from the origin to the destination in seconds.
from_country_code
string
ISO2 code representing the country of origin for the delivery.
from_state_code
string
Code representing the state or province of origin within the country.
from_city_code
string
Code representing the city of origin within the state.
from_sector_code
string
Code representing a specific sector or district within the city of origin.
from_pincode
string
A string indicating the postal code or PIN code of the address area.
to_country_code
string
ISO2 code representing the destination country.
to_state_code
string
Code representing the state or province of the destination within the country.
to_city_code
string
Code representing the city of destination within the state.
to_sector_code
string
Code representing a specific sector or district within the city of destination.
to_pincode
string
A string indicating the postal code or PIN code of the address area.
forward
object (TATDetails)
Show
reverse
object (TATDetails)
Show
id
string
A string serving as the unique identifier.
Response
Loading...

Rate Card & Rate Zone

Rate Card & Rate Zone

Operations
GET
/service/partner/logistics/v1.0/organization/{organization_id}/rate-card/sample-file
# Retrieves a sample file that shows the required format for rate card uploads.
POST
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/bulk
# Rate Card Import or Export
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/bulk
# Retrieve the history of bulk rate card uploads.
POST
/service/partner/logistics/v1.0/organization/{organization_id}/rate-card/zone/sample-file
# Get Rate Zone sample file
POST
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/bulk
# Rate Zone Import or Export
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/bulk
# Get Rate Zone Bulk History
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/configuration
# Fetch Rate Zone Configuration
PUT
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/configuration
# Update Rate Zone Configuration
GET

Retrieves a sample file that shows the required format for rate card uploads.

Retrieves a downloadable sample file template for bulk rate card uploads.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
GET
/service/partner/logistics/v1.0/organization/{organization_id}/rate-card/sample-file
Loading...
Response
200
Success
Hide
Represents the details and outcome of a rate card sample file generation operation.
type
string
Denotes the type of action performed.
Enum
file_path
string
Nullable
CDN path of the file.
status
string
Current status of the request.
Enum
Response
Loading...
POST

Rate Card Import or Export

Rate Card Import or Export
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
file_path
string
Path to the file used in the bulk operation.
rate_card_type
string
Required
Rate card type for which bulk operation will be performed.
Enum
action
string
Required
Action type for the bulk operation, either import or export.
Enum
company_ids
array of integer
List of company IDs for which rate card needs to be applied.
POST
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/bulk
Loading...
Response
200
400
Success
Hide
Represents the details and outcome of a bulk rate-card operation, including counts, status, errors, file path, and timestamps.
type
string
Denotes the type of data.
Enum
total
integer
Total number of items in the batch.
failed
integer
Number of failed items in the batch.
success
integer
Number of successful items in the batch.
action
string
Action type for the bulk operation, either import or export.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Array of objects containing validation error details for records that failed during bulk import or export operations. Each object includes error messages describing missing required fields or validation failures for individual records.
file_path
string
Nullable
CDN path of the file.
created_on
string
| date-time
The timestamp when the record was created.
modified_on
string
| date-time
The timestamp when the record was last modified.
Response
Loading...
GET

Retrieve the history of bulk rate card uploads.

Returns the history of all bulk rate card upload operations, including their statuses and details.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
Enum
statusquery
string
Nullable
Status of the bulk actions
Enum
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/bulk
Loading...
Response
200
404
Success
Hide
Represents the details and outcome of a bulk rate-card operation, including counts, status, errors, file path, and timestamps.
type
string
Denotes the type of data.
Enum
total
integer
Total number of items in the batch.
failed
integer
Number of failed items in the batch.
success
integer
Number of successful items in the batch.
action
string
Action type for the bulk operation, either import or export.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Array of objects containing validation error details for records that failed during bulk import or export operations. Each object includes error messages describing missing required fields or validation failures for individual records.
file_path
string
Nullable
CDN path of the file.
created_on
string
| date-time
The timestamp when the record was created.
modified_on
string
| date-time
The timestamp when the record was last modified.
Response
Loading...
POST

Get Rate Zone sample file

Retrieves a downloadable sample file template for bulk rate zone uploads.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
Request body
zone_type
string
Rate zone for which the sample file to be downloaded.
Enum
country
string
Name of the country.
region
string
Region for which the sample file to be downloaded.
POST
/service/partner/logistics/v1.0/organization/{organization_id}/rate-card/zone/sample-file
Loading...
Response
200
400
Success
Hide
Represents the details and outcome of a bulk rate-card operation, including counts, status, errors, file path, and timestamps.
type
string
Denotes the type of data.
Enum
total
integer
Total number of items in the batch.
failed
integer
Number of failed items in the batch.
success
integer
Number of successful items in the batch.
action
string
Action type for the bulk operation, either import or export.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Array of objects containing validation error details for records that failed during bulk import or export operations. Each object includes error messages describing missing required fields or validation failures for individual records.
file_path
string
Nullable
CDN path of the file.
created_on
string
| date-time
The timestamp when the record was created.
modified_on
string
| date-time
The timestamp when the record was last modified.
Response
Loading...
POST

Rate Zone Import or Export

Performs bulk import or export of rate zone details.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
action
string
Action type for the bulk operation, either import or export.
Enum
file_path
string
Nullable
CDN path of the file.
zone_type
string
Rate zone for the bulk action.
Enum
country
string
Name of the country.
region
string
Region for the import and export.
POST
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/bulk
Loading...
Response
200
400
Success
Hide
Represents the details and outcome of a bulk rate-card operation, including counts, status, errors, file path, and timestamps.
type
string
Denotes the type of data.
Enum
total
integer
Total number of items in the batch.
failed
integer
Number of failed items in the batch.
success
integer
Number of successful items in the batch.
action
string
Action type for the bulk operation, either import or export.
Enum
batch_id
string
A unique identifier for the performed batch operation.
status
string
Current status of the request.
Enum
failed_records
array of object
Array of objects containing validation error details for records that failed during bulk import or export operations. Each object includes error messages describing missing required fields or validation failures for individual records.
file_path
string
Nullable
CDN path of the file.
created_on
string
| date-time
The timestamp when the record was created.
modified_on
string
| date-time
The timestamp when the record was last modified.
Response
Loading...
GET

Get Rate Zone Bulk History

Retrieves the bulk job history for rate zone import and export operations.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
batch_idquery
string
Unique identifier of bulk job
actionquery
string
Import or export bulk type
Enum
statusquery
string
Status of the bulk actions
Enum
zone_typequery
string
Unique identifier of zone type.
Enum
start_datequery
string
| date-time
Fetch job history after a particule date
end_datequery
string
| date-time
Fetch job history before a particule date
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/bulk
Loading...
Response
200
404
Success
Hide
Contains paginated results of bulk rate zone items.
items
array of object (BulkRateCardJob)
Array of bulk rate zone result items.
Show
page
object (Page)
Show
Response
Loading...
GET

Fetch Rate Zone Configuration

Fetch Rate Zone Configuration
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
GET
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/configuration
Loading...
Response
200
Success
Hide
Contains configured standard zone mappings and custom zone names used for rate calculations.
standard_zone_mapping
array of object (StandardRateZone)
List of standard zones with name-slug pairs.
Show
custom_zones
array of string
List of custom zone names.
Response
Loading...
PUT

Update Rate Zone Configuration

Updates the rate zone configuration for the specified courier partner scheme.
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idpath
string
Required
Unique Identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
standard_zone_mapping
array of object (StandardRateZone)
List of standard zones with name-slug pairs.
Show
custom_zones
array of string
List of custom zone names.
PUT
/service/partner/logistics/v1.0/organization/{organization_id}/courier-partner/{extension_id}/scheme/{scheme_id}/rate-card/zone/configuration
Loading...
Response
200
400
Success
Hide
Contains configured standard zone mappings and custom zone names used for rate calculations.
standard_zone_mapping
array of object (StandardRateZone)
List of standard zones with name-slug pairs.
Show
custom_zones
array of string
List of custom zone names.
Response
Loading...

Schemes

This resource allows sellers to create schemes, update, get which are predefined plans with various pre-configured settings. Sellers can then utilize these schemes to create accounts.

Operations
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme
# Create Scheme for courier partner extension
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme
# Get created Schemes for courier partner
PUT
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme/{scheme_id}
# Update Scheme for courier partner extension
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme/{scheme_id}
# Get Scheme for courier partner extension by Id
POST

Create Scheme for courier partner extension

Create Scheme for courier partner extension
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
Request body
extension_id
string
Required
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
name
string
Required
Name of the scheme.
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
weight
object (ArithmeticOperations)
Required
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Required
Mode of transport associated with the courier partner scheme.
Enum
region
string
Required
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Required
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Required
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Required
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Required
Show
POST
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme
Loading...
Response
200
400
Success Response Status
Hide
created_by
object (CreatedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_by
object (ModifiedBy)
Nullable
Show
modified_on
string
| date-time
The timestamp when the record last modified.
extension_id
string
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...
GET

Get created Schemes for courier partner

Get created Schemes for courier partner
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
extension_idquery
string
Unique Identifier of courier partner extension.
scheme_typequery
string
Indicates whether a scheme is created by an admin for global purposes or customized for a specific company.
Enum
payment_modequery
string
Indicates payment mode for a scheme.
Enum
capabilitiesquery
array of string
Indicates whether the scheme possesses certain capabilities.
scheme_idsquery
array of string
List of scheme ids which need to be returned in the response.
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme
Loading...
Response
200
422
Success Response Status
Hide
items
array of object (CourierPartnerSchemeModelSchema)
List of courier partner schemes
Show
page
object (Page)
Show
Response
Loading...
PUT

Update Scheme for courier partner extension

Update Scheme for courier partner extension
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
name
string
Required
Name of the scheme.
weight
object (ArithmeticOperations)
Required
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Required
Mode of transport associated with the courier partner scheme.
Enum
region
string
Required
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Required
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Required
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Required
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Required
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
PUT
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme/{scheme_id}
Loading...
Response
200
400
Success Response Status
Hide
extension_id
string
Unique identifier of courier partner extension.
created_by
object (CreatedBy)
Nullable
Show
modified_by
object (ModifiedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_on
string
| date-time
The timestamp when the record last modified.
scheme_id
string
Unique identifier of courier partner scheme.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...
GET

Get Scheme for courier partner extension by Id

Update Scheme for courier partner extension by Id
Parameters
organization_idpath
string
Required
Unique Identifier of Organization
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
GET
/service/partner/logistics/v2.0/organization/{organization_id}/courier-partner/scheme/{scheme_id}
Loading...
Response
200
404
Success Response Status
Hide
created_by
object (CreatedBy)
Nullable
Show
created_on
string
| date-time
The timestamp when the record was created.
modified_by
object (ModifiedBy)
Nullable
Show
modified_on
string
| date-time
The timestamp when the record last modified.
extension_id
string
Unique identifier of courier partner extension.
scheme_id
string
Unique identifier for the scheme, used to fetch or modify scheme details.
company_id
string
The unique identifier of the company.
name
string
Name of the scheme.
weight
object (ArithmeticOperations)
Show
volumetric_weight
object (ArithmeticOperations)
Show
transport_type
string
Mode of transport associated with the courier partner scheme.
Enum
region
string
Serviceable region associated with the courier partner scheme.
Enum
delivery_type
string
Type of delivery associated with the courier partner scheme.
Enum
payment_mode
array of string
Mode of payment associated with the courier partner scheme.
Enum
stage
string
Indicates if the courier partner scheme is currently active or inactive.
Enum
status_updates
string
Describes the type of status updates provided by the courier partner (e.g., real-time, periodic).
ndr_attempts
integer
Indicates if the Non-Delivery Report (NDR) feature is supported by the courier partner.
qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a quality check shipment.
non_qc_shipment_item_quantity
integer
Nullable
Defines the maximum quantity of items allowed in a non-quality check shipment.
feature
object (CourierPartnerSchemeFeatures)
Show
default_forward_pickup_cutoff
string
Nullable
Default cutoff time for forward pickup (nullable), having 24hour time format HH:MM.
default_reverse_pickup_cutoff
string
Nullable
Default cutoff time for reverse pickup (nullable), having 24hour time format HH:MM.
default_cutoff_timezone
string
Nullable
Timezone for default cutoff time.
default_tat
object (CourierPartnerSchemeDefaultTat)
Show
Response
Loading...

Serviceability

The serviceability endpoints are designed to manage and track the availability of delivery and related services in specific geographical regions. It provides CRUD operations for serviceability records, which include detailed information about the capabilities offered in each area. These capabilities include first-mile and last-mile service availability, cash on delivery (COD) limits, the ability to perform doorstep returns and quality checks, and other logistics related features such as pickup cutoffs and installation services. Logistics providers can use this endpoint to define service parameters for different regions, identified by country, state, city, sector, and pin codes. By integrating this endpoint into their systems, external developers can programmatically manage serviceability data, ensuring that their logistics operations align with the latest service offerings. The serviceability data captured by this API is crucial for the core decision-making processes when allocating stores and delivery partners (DPs). For example, during the allocation process, the core system can refer to this data to decide which delivery partners are suitable for a particular order based on their service capabilities and regional constraints. This allows businesses to optimize their delivery network and ensure that services are only offered where they are fully supported, leading to more efficient operations and improved customer satisfaction.

Operations
POST
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability
# Serviceability insert
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability
# Get region serviceability list
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
# Get region serviceability
PUT
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
# Serviceability update
DEL
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
# Serviceability delete
POST

Serviceability insert

Insert the serviceability for a specific region within a courier partner scheme.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
Request body
country_code
string
Required
ISO2 code representing the country where the serviceability is being specified.
state_code
string
Code representing the state or province within the country where the serviceability is being specified.
city_code
string
Code representing the city within the state where the serviceability is being specified.
sector_code
string
Code representing a specific sector or district within the city where the serviceability is being specified.
pincode
string
A string indicating the postal code or PIN code of the address area.
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
prepaid_limit
number
Limit on the amount of prepaid payments allowed in the specified region.
holiday_list
array of string
List of holidays for a courier partner scheme.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
POST
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability
Loading...
Response
200
400
422
Response status code
Hide
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
country_code
string
ISO2 code representing the country where the serviceability is being specified.
state_code
string
Code representing the state or province within the country where the serviceability is being specified.
city_code
string
Code representing the city within the state where the serviceability is being specified.
sector_code
string
Code representing a specific sector or district within the city where the serviceability is being specified.
pincode
string
A string indicating the postal code or PIN code of the address area.
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
prepaid_limit
number
Limit on the amount of prepaid payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
reverse_pickup
boolean
Nullable
Indicates if reverse pickup is available.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
holiday_list
array of string
List of holidays for a courier partner scheme.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
id
string
A string serving as the unique identifier.
Response
Loading...
GET

Get region serviceability list

Retrieve a list of serviceability for specific regions within a courier partner scheme.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
page_noquery
integer
| value >= 1
The current page number for paginated results.
Default Value : 1
page_sizequery
integer
| value >= 1
Determines the items to be displayed in a page
Default Value : 12
country_codequery
string
Country ISO2 code for which request is initiated
state_codequery
string
State code for which request is initiated
city_codequery
string
City code for which request is initiated
sector_codequery
string
Sector code for which request is initiated
pincodequery
string
Pincode for which request is initiated
first_milequery
boolean
First mile value for which request is initiated
last_milequery
boolean
Last mile value for which request is initiated
doorstep_returnquery
boolean
Doorstep return value for which request is initiated
doorstep_qcquery
boolean
Doorstep qc value for which request is initiated
installationquery
boolean
Installation value for which request is initiated
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability
Loading...
Response
200
Response status code
Hide
items
array of object (RegionServiceabilityResult)
An array that contains items of region serviceability.
Show
page
object (Page)
Show
Examples
Parameters
partner_org_id:
"org_id"
courier_partner_extension_id:
"10"
scheme_id:
"10"
country_code:
"IN"
state_code:
"MH"
city_code:
"MUM"
Response
Loading...
GET

Get region serviceability

Retrieve serviceability for specific region within a courier partner scheme for a given identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a serviceability record
GET
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
Loading...
Response
200
400
Success response
Hide
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
country_code
string
ISO2 code representing the country where the serviceability is being specified.
state_code
string
Code representing the state or province within the country where the serviceability is being specified.
city_code
string
Code representing the city within the state where the serviceability is being specified.
sector_code
string
Code representing a specific sector or district within the city where the serviceability is being specified.
pincode
string
A string indicating the postal code or PIN code of the address area.
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
prepaid_limit
number
Limit on the amount of prepaid payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
reverse_pickup
boolean
Nullable
Indicates if reverse pickup is available.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
holiday_list
array of string
List of holidays for a courier partner scheme.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
id
string
A string serving as the unique identifier.
Response
Loading...
PUT

Serviceability update

Update the serviceability for a specific region within a courier partner scheme based on unique identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a serviceability record
Request body
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
holiday_list
array of string
List of holidays for a courier partner scheme.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
PUT
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
Loading...
Response
200
400
422
Response status code
Hide
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
country_code
string
ISO2 code representing the country where the serviceability is being specified.
state_code
string
Code representing the state or province within the country where the serviceability is being specified.
city_code
string
Code representing the city within the state where the serviceability is being specified.
sector_code
string
Code representing a specific sector or district within the city where the serviceability is being specified.
pincode
string
A string indicating the postal code or PIN code of the address area.
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
prepaid_limit
number
Limit on the amount of prepaid payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
holiday_list
array of string
List of holidays for a courier partner scheme.
reverse_pickup
boolean
Nullable
Boolean value indicating whether reverse pickup services is available.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
id
string
A string serving as the unique identifier.
Response
Loading...
DEL

Serviceability delete

Delete the serviceability for a specific region within a courier partner scheme based on a unique identifier.
Parameters
partner_org_idpath
string
Required
Unique identifier of partner's organization
courier_partner_extension_idpath
string
Required
Unique identifier of courier partner extension.
scheme_idpath
string
Required
Unique identifier for the scheme, used to fetch or modify scheme details.
idpath
string
Required
Unique identifier of a serviceability record
DEL
/service/partner/logistics/v2.0/organization/{partner_org_id}/courier-partner/{courier_partner_extension_id}/scheme/{scheme_id}/serviceability/{id}
Loading...
Response
200
400
Success response
Hide
pickup_cutoff
string
Nullable
Time of day by which pickups must be scheduled to be processed on the same day.
country_code
string
ISO2 code representing the country where the serviceability is being specified.
state_code
string
Code representing the state or province within the country where the serviceability is being specified.
city_code
string
Code representing the city within the state where the serviceability is being specified.
sector_code
string
Code representing a specific sector or district within the city where the serviceability is being specified.
pincode
string
A string indicating the postal code or PIN code of the address area.
first_mile
boolean
Boolean value indicating whether first-mile service is available or not.
last_mile
boolean
Boolean value indicating whether last-mile service is available or not.
cod_limit
number
Limit on the amount of cash on delivery (COD) payments allowed in the specified region.
prepaid_limit
number
Limit on the amount of prepaid payments allowed in the specified region.
doorstep_return
boolean
Indicates if doorstep return service is available. This refers to the ability to return items directly from the customer's doorstep.
doorstep_qc
boolean
Indicates if doorstep quality check service is available. This refers to the ability to perform quality checks on items at the customer's doorstep.
reverse_pickup
boolean
Nullable
Indicates if reverse pickup is available.
forward_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the forward journey.
reverse_pickup_cutoff
string
Time of day by which pickups must be scheduled to be processed on the same day in the reverse journey.
hand_to_hand_exchange
boolean
Indicates whether the product exchange happens directly between the buyer and seller (e.g., in person), instead of through a third-party service.
holiday_list
array of string
List of holidays for a courier partner scheme.
installation
boolean
Boolean value indicating whether installation services are available in the specified region or not.
id
string
A string serving as the unique identifier.
Response
Loading...